Subject: Re: Problems with cpantest mails
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 30 Aug 2001 19:55:30 +0200

> Christopher Faylor schrieb am 2001-08-30 10:23:

>On Thu, Aug 30, 2001 at 04:15:16PM +0200, Gerrit P. Haase wrote:
>>The mails sent off my system are corrupt:
>>=========================================
>>Von:            	Gerrit Haase <[email-masked]>
>>Datum:   	Thu, 30 Aug 2001 13:10:03 +0000
>>
>>Please cc any replies to [email-masked] to keep other
>>test volunteers informed and to prevent any duplicate effort.
>>
>>[...]
>>
>>If i look at the headres i see this:
>>====================================
>>[...]
>>From: Gerrit Haase <[email-masked]>
>>Date: Thu, 30 Aug 2001 13:10:03 +0000
>>~s PASS Bit-Vector-6.0 cygwin-multi 1.3.2(0.3932)
>>KxThis distribution has been tested as part of the cpan-testers
>>effort to test as many new uploads to CPAN as possible.  See
>>http://testers.cpan.org/
>>[...]
>>
>>Instead of the 'Subject:', there is aleays only '~s'
>>
>>I am on cygwin using the cygwin mailer ssmtp.
>>cpantest uses Perl's Mail::Send module.
>
>I doubt that ssmtp would understand the '~s' construction for sending
>email.  That's a feature of 'mailx' style programs.

Hmmm, then i'm using the wrong 'mail'?
$ ls /bin/*mail*
lrwxrwxrwx ... 127 May 11 15:40 /bin/mail.exe -> /usr/sbin/ssmtp.exe*

Aha, wrong name, Mail::Mailer thinks it is Unix 'mail' and not 'sendmail'.

Thanks for the hint. I deleted the link, now it works.

Gerrit

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/